Download it now!
Bug 87626 - Improve Simplified Chinese numbering (LC_NumberingLevel)
Summary: Improve Simplified Chinese numbering (LC_NumberingLevel)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Kevin Suo
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2014-12-23 04:01 UTC by Kevin Suo
Modified: 2015-01-11 13:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
the current zh_CN numbering types (20.02 KB, image/png)
2014-12-23 04:01 UTC, Kevin Suo
Details
Suggested numbering types for zh_CN locale (140.99 KB, image/png)
2014-12-23 04:28 UTC, Kevin Suo
Details
suggested numbering for zh_CN locale, after discussion (502.79 KB, image/jpeg)
2014-12-23 06:39 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-12-23 04:01:24 UTC
Created attachment 111201 [details]
the current zh_CN numbering types

The current numbering types for Simplified Chinese are urgly and useless. They need improvements.

In Simplified Chinese writing, the following numbering types are seldomly used in paragraphs:
* 子,丑,寅...
* 壹,贰,叁...
* 甲,乙,丙...

The related code is here:
http://cgit.freedesktop.org/libreoffice/core/tree/i18npool/source/localedata/data/zh_CN.xml
Under section "LC_NumberingLevel"

related NumType are: http://opengrok.libreoffice.org/xref/core/offapi/com/sun/star/style/NumberingType.idl
Comment 1 Kevin Suo 2014-12-23 04:28:36 UTC
Created attachment 111204 [details]
Suggested numbering types for zh_CN locale

The numbering types for zh_CN locale should be based on the en_US one, and only change the roman numbering to "一、二、三" and "(一)、(二)、(三)".
Comment 2 Kevin Suo 2014-12-23 04:41:09 UTC
I filed a discussion thread in the LibreOffice Chinese discussion forum:
http://www.libreofficechina.org/thread-798-1-1.html
Comment 3 Kevin Suo 2014-12-23 06:39:56 UTC
Created attachment 111207 [details]
suggested numbering for zh_CN locale, after discussion
Comment 4 Kevin Suo 2014-12-23 07:05:07 UTC
Well, it's becoming interesting and easy:
We can set more than 8 LC_NumberingLevel in the locale data file.

If there are more than 8, a scroll bar will appear on the UI to allow you select any of them.

So I am going to set more LC_NumberingLevel and put the most used ones on the top.
Comment 5 Kevin Suo 2014-12-25 07:46:03 UTC
Pending review for master:
https://gerrit.libreoffice.org/#/c/13646/

for 4.4 branch:
https://gerrit.libreoffice.org/#/c/13647/
Comment 6 Commit Notification 2015-01-07 13:25:24 UTC
Kevin Suo committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef9897a158e38e57c6f431d591b01c93249680f7

fdo#87626: Improve Simplified Chinese numbering types

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-07 13:26:47 UTC
Kevin Suo committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77c27317b7a567d086093f0fbc6039658833d016&h=libreoffice-4-4

fdo#87626: Improve Simplified Chinese numbering types

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2015-01-07 13:31:39 UTC
going to assume we can close this now
Comment 9 Kevin Suo 2015-01-11 13:16:40 UTC
There are 15 numbering styles in the list, but something strage happened. Applying numbering works OK using the menu, but doesn't work well using the toolbar icon.
Adding bug 88290 as see also.